Ubuntu Font Family 0.69+ufl would be valuable for older releases

Bug #650889 reported by Mark Shuttleworth on 2010-09-29
56
This bug affects 8 people
Affects Status Importance Assigned to Milestone
ubuntu-font-family-sources (Ubuntu)
Undecided
Unassigned
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: ttf-ubuntu-font-family

The Ubuntu Font is being included in Ubuntu from 10.10 onwards, it would be valuable for users of older releases to have it installed as well. This is not a suggestion that it be made the default on older releases, just that it be available for installation or possibly recommended for a meta too.

Following SRU policy:

The addition of the Ubuntu font to the archive of maintained releases would have low impact, it would _not_ change the default font setting but it would mean that those users view sites like the Ubuntu web site and Launchpad in the correct font.

This is addressed in Maverick and beyond by inclusion on the CD and in the default installation. In those releases, Ubuntu is the default interface font as well.

No patch is needed, this is purely a bug for the addition of a package to the archive.

There is little to no risk of regressions adding 'ttf-ubuntu-font-family' to the archive for maintained releases.

Martin Pitt (pitti) wrote :

Fixed in maverick.

Changed in ubuntu-font-family-sources (Ubuntu):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Dapper desktop has been EOLed over a year ago, and a new font isn't interesting for servers, so WONTFIXing.

Similarly, Jaunty will go EOL in a few weeks, I don't think it is worth the trouble there.

For the other releases, the usual vehicle for this is backports. However, I agree that the regression potential is pretty close to zero, so I have no technical arguments to put against this "SABDFL policy exception" :-)

I'm waiting a bit for another SRU team member to comment; in particular I'd be interested in an opinion from the less biased community members like John.

Changed in ubuntu-font-family-sources (Ubuntu Dapper):
status: New → Won't Fix
Changed in ubuntu-font-family-sources (Ubuntu Jaunty):
status: New → Won't Fix
Paul Sladen (sladen) on 2010-09-29
description: updated

Heh. I can't claim to be unbiased but to be clear, I'm not making an
sabdfl exception, but asking folks to consider it through the normal
process. The SRU process already covers items in the Partner archive,
this is similar just content that I think reasonably belongs in the main
archive. If the decision is nyet, then we'll publish it in PPA's for
those who want it.

Mark

There will be at least one more rebuild of the upstream and then .deb packaging to pull in a newer version of the UFL and its FAQ; so effort may be saved by waiting until the Ubuntu 10.10 release has actually happened.

Scott Kitterman (kitterman) wrote :

Normally new packages would go in -backports. It's no problem to put these in backports as long as someone will test they build, install, and run (whatever run means for a font).

Paul Sladen (sladen) wrote :

scottk: there should be three packages waiting in {hardy,karmic,lucid}-proposed, which because of the low risk (no executable code) it would being suggested to push them out that way (in a similar way to the tasteful 'ubuntu-calendar' monthly updates!)...

Paul Sladen [2010-10-15 10:03 -0000]:
> scottk: there should be three packages waiting in
> {hardy,karmic,lucid}-proposed

There aren't; did you get a REJECT mail?

You can check the queue here:
https://launchpad.net/ubuntu/lucid/+queue?queue_state=1
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Steve Langasek (vorlon) wrote :

On Fri, Oct 15, 2010 at 10:03:04AM -0000, Paul Sladen wrote:
> scottk: there should be three packages waiting in
> {hardy,karmic,lucid}-proposed, which because of the low risk (no
> executable code) it would being suggested to push them out that way (in
> a similar way to the tasteful 'ubuntu-calendar' monthly updates!)...

Er, ubuntu-calendar has had no updates since hardy. Did you have another
package in mind?

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Yes, 3x REJECT, and twenty minutes later (after my D'oh!), 3x "...~{lucid,karmic,hardy}1" in NEW:

  https://launchpad.net/ubuntu/lucid/+queue?queue_state=0

Accepted ubuntu-font-family-sources into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntu-font-family-sources (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted ubuntu-font-family-sources into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntu-font-family-sources (Ubuntu Hardy):
status: New → Fix Committed
Changed in ubuntu-font-family-sources (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted ubuntu-font-family-sources into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Installed 0.69+ufl-0ubuntu1~lucid1 on lucid, worked fine and I'm using that font as default now after changing my settings.

Andreas Hasenack (ahasenack) wrote :

Installed the proposed package on karmic, nothing changed in the existing desktop. Then I went to preferences and changed the font to Ubuntu for several classes and the new font started to be used without issues.

Thanks guys, great to see the font available for existing users.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-font-family-sources - 0.69+ufl-0ubuntu1~lucid1

---------------
ubuntu-font-family-sources (0.69+ufl-0ubuntu1~lucid1) lucid-proposed; urgency=low

  * Backport/SRU for Ubuntu 10.04 LTS (LP: #650889)
 -- Paul Sladen <email address hidden> Thu, 14 Oct 2010 16:27:00 +0100

Changed in ubuntu-font-family-sources (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-font-family-sources - 0.69+ufl-0ubuntu1~karmic1

---------------
ubuntu-font-family-sources (0.69+ufl-0ubuntu1~karmic1) karmic-proposed; urgency=low

  * Backport/SRU for Ubuntu 9.10 (LP: #650889)
 -- Paul Sladen <email address hidden> Thu, 14 Oct 2010 16:30:00 +0100

Changed in ubuntu-font-family-sources (Ubuntu Karmic):
status: Fix Committed → Fix Released
Andreas Hasenack (ahasenack) wrote :

In Hardy it was a bit different. I had to tweak some settings in the anti-aliasing and hinting panels to make it look as good as in the other distros. Not sure if that particular installation of mine had values different from the default, I can't tell anymore.

But the end result is that it worked and looks great now, and just installing it didn't change anything until I explicitly selected the new font in the preferences dialog.

Paul Sladen (sladen) wrote :

Andreas: yes, this is why it's low risk. We are just wishing to make the package /available/ in those older archives for those who want it easily, ...not seeking to install it it by default or to alter any rendering settings.

Martin Pitt (pitti) on 2010-11-01
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-font-family-sources - 0.69+ufl-0ubuntu1~hardy1

---------------
ubuntu-font-family-sources (0.69+ufl-0ubuntu1~hardy1) hardy-proposed; urgency=low

  * Backport/SRU for Ubuntu 08.04 LTS (LP: #650889)
 -- Paul Sladen <email address hidden> Thu, 14 Oct 2010 16:33:00 +0100

Changed in ubuntu-font-family-sources (Ubuntu Hardy):
status: Fix Committed → Fix Released
Paul Sladen (sladen) wrote :

Would the people who kindly tested the *-proposed package for this bug report be prepared to do the same over at bug #709980 (for 0.70.1).

Paul Sladen (sladen) on 2011-06-14
summary: - Ubuntu Font Family would be valuable for older releases
+ Ubuntu Font Family 0.69+ufl would be valuable for older releases
Paul Sladen (sladen) on 2011-11-02
tags: added: uff-sru
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions